<?php
class ControllerCommonMMA extends Controller {
	public function index() {
		$this->load->language('common/mma');

		$this->document->setTitle($this->language->get('heading_title'));

		if ($this->request->server['SERVER_PROTOCOL'] == 'HTTP/1.1') {
			$this->response->addHeader('HTTP/1.1 503 Service Unavailable');
		} else {
			$this->response->addHeader('HTTP/1.0 503 Service Unavailable');
		}

		$this->response->addHeader('Retry-After: 3600');

		$data['breadcrumbs'] = array();

		$data['breadcrumbs'][] = array(
			'text' => $this->language->get('text_maintenance'),
			'href' => $this->url->link('common/mma')
		);

		if ($this->request->server['HTTPS']) {
			$server = $this->config->get('config_ssl');
		} else {
			$server = $this->config->get('config_url');
		}

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validateForm()) {
			$this->load->model('common/mma');
			$this->model_common_mma->save($this->request->post);
			// print_r($this->request->post);die;
			$data['success'] = $this->language->get('email_submitted_successfully');
		}

		if (isset($this->error['warning'])) {
			$data['error_warning'] = $this->error['warning'];
		} else {
			$data['error_warning'] = '';
		}

		$data['title'] = $this->config->get('module_mma_subscribe_maintenance_title')[$this->session->data['language']] ? $this->config->get('module_mma_subscribe_maintenance_title')[$this->session->data['language']] : $this->document->getTitle();
		$data['message'] = $this->config->get('module_mma_desc_text')[$this->session->data['language']] ? html_entity_decode($this->config->get('module_mma_desc_text')[$this->session->data['language']]) : '';
		$data['form_title'] = $this->config->get('module_mma_subscribe_form_title')[$this->session->data['language']] ? html_entity_decode($this->config->get('module_mma_subscribe_form_title')[$this->session->data['language']]) : '';
		$data['form_button'] = $this->config->get('module_mma_subscribe_form_button')[$this->session->data['language']] ? html_entity_decode($this->config->get('module_mma_subscribe_form_button')[$this->session->data['language']]) : '';

		$data['base'] = $server;

		foreach (['module_mma_status', 'module_mma_about_status', 'module_mma_address', 'module_mma_email', 'module_mma_phone', 'module_mma_desc_status', 'module_mma_desc_text', 'module_mma_logo_status', 'module_mma_logo_width', 'module_mma_social_status', 'module_mma_facebook_url', 'module_mma_twitter_url', 'module_mma_pinterest_url', 'module_mma_tumblr_url', 'module_mma_youtube_url', 'module_mma_instagram_url','module_mma_subscribe_status', 'module_mma_subscribe_form_title', 'module_mma_subscribe_form_button', 'module_mma_subscribe_maintenance_title', 'module_mma_body_bg', 'module_mma_footer_bg', 'module_mma_custom_css', 'module_mma_image', 'module_mma_logo_image', 'module_mma_logo_height'] as $key) {
		    $data[$key] = $this->config->get($key);
		}

		$this->load->model('tool/image');

		$key = 'module_mma_logo_image';

	 	if ($this->config->get($key) && $this->config->get($key) != 'no_image.png' && is_file(DIR_IMAGE . $this->config->get($key))) {
			$data[$key . '_thumb'] = 'image/' . $this->config->get($key);			
		}

		$key = 'module_mma_image';

	 	if ($this->config->get($key) && $this->config->get($key) != 'no_image.png' && is_file(DIR_IMAGE . $this->config->get($key))) {
			$data[$key . '_thumb'] = 'image/' . $this->config->get($key);			
		}
		
		$this->response->setOutput($this->load->view('common/mma', $data));
	}

	protected function validateForm() {

		if (!isset($this->request->post['email'])) {
			$this->error['warning'] = $this->language->get('error_email');
		}
		
		return !$this->error;
	}
}
